/*--------------------
General Style
---------------------*/
*,
*::before,
*::after {
  box-sizing: border-box;
}

body,
html {
  height: 100%;
  font-family: "Verdana", sans-serif;
  font-weight: 400;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  padding-top: 40px;
  background: rgba(37, 44, 65, 1);
}

button {
  border: none;
}

.subject {
  font-family: 'Verdana', sans-serif;
  color: rgba(255, 255, 255, 0.02);
  font-size: 180px;
  font-size: 16vw;
  letter-spacing: -4px;
  line-height: 0.9;
  z-index: -1;
}

/*--------------------
Text
---------------------*/
h1, h2, h3, h4, h5, h6 {
  margin: 0;
  line-height: 1.4;
}

h1 {
  font-size: 42px;
  color: #6d819c;
  text-align: left;
}

h2 {
  font-size: 28px;
  letter-spacing: -2px;
  color: #6d819c;
  text-align: center;
  line-height: 2.8;
}

h3 {
  font-size: 16px;
  color: #dddfe6;
  letter-spacing: 1px;
  text-align: left;
}

h4 {
  font-size: 16px;
  color: #7495aa;
  letter-spacing: 1px;
  text-align: left;
  line-height: 2;
}

h5 {
  font-size: 11px;
  font-weight: 700;
  color: #6d819c;
  letter-spacing: 1px;
  text-align: left;
  text-transform: uppercase;
}

h5 > span {
  margin-left: 87px;
}

h5.total {
  margin-top: 20px;
}

h6 {
  font-size: 18px;
  font-weight: 400;
  color: #f4f5f9;
  letter-spacing: 0px;
  text-align: left;
  text-transform: uppercase;
  line-height: 1.8;
}

h6 > span {
  margin-left: 64px;
}

.container {
  margin: 0 auto;
  padding: 0 60px 60px 60px;
  max-width: 700px;
  min-height: 550px;
  background-color: #dddfe6;
  border-radius: 10px;
  box-shadow: 0 30px 48px rgba(37, 44, 65, 0.32);
}

.order {
  width: 100%;
  margin-right: 30px;
}

.order__img {
  width: 100%;
  max-height: 350px;
  margin-bottom: 10px;
  object-fit: cover;
  border-radius: 6px;
  box-shadow: 0 30px 48px rgba(37, 44, 65, 0.32);
}

.order__description {
  text-align: center;
}

.flex-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.flex-column {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  width: 300px;
  height: 178px;
  position: relative;
  margin: 0 auto;
  padding: 20px;
  background-color: #046a38;
  overflow: hidden;
  z-index: 1;
  border-radius: 6px;
  box-shadow: 0 15px 24px rgba(37, 44, 65, 0.32);
}

.card__logo {
  width: 100%;
  height: 100%;
}

.card__logo-wrapper {
  position: absolute;
  top: 10px;
  right: 10px;
  width: 60px;
  height: 45px;
  border: 1px solid #145636;
}

.card__wrapper {
  display: flex;
  justify-content: space-between;
}

.card__cvc {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.card-form {
  padding: 15px 0;
}

.card-input {
  width: 100%;
  margin-bottom: 20px;
  margin-top: 5px;
  padding: 10px;
  font-size: 20px;
  color: #3c3e41;
  border: none;
  border-radius: 6px;
  box-shadow: 0 15px 24px rgba(37, 44, 65, 0.32);
}

.card-form input:focus-visible {
  outline: 0;
  outline: 1px solid #046a38;
  outline-offset: 2px;
  transform: scale(1.05);
}

.card-form input::placeholder {
  font-size: 20px;
}

.label {
  font-size: 12px;
  color: #727373;
}

.input-wrapper {
  display: flex;
  margin-bottom: 20px;
}

.date {
  margin-right: 30px;
}

button:focus-visible {
  outline: 0;
}

.button {
  width: 100%;
  height: 65px;
  padding: 10px 20px;
  background-color: #dc3545;
  font-weight: 400;
  font-size: 24px;
  color: #f4f5f9;
  transform: scale(1);
  transition: background-color 0.2s ease-in-out, transform 0.2s ease-in-out;
  border-radius: 6px;
  box-shadow: 0 15px 24px rgba(37, 44, 65, 0.32);
}

.button-cta {
  background-color: #046a38;
  cursor: pointer;
}

.button-cta:hover {
  background-color: #048546;
  transform: scale(1.02);
}

.button-cta:focus-visible {
  background-color: #048546;
  transform: scale(1.02);
}

.is-valid {
  border: 1px solid #048546;
}

.not-valid {
  border: 1px solid #dc3545;
}
